/*
 * Funambol is a mobile platform developed by Funambol, Inc. 
 * Copyright (C) 2004 - 2007 Funambol, Inc.
 * 
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Affero General Public License version 3 as published by
 * the Free Software Foundation with the addition of the following permission 
 * added to Section 15 as permitted in Section 7(a): FOR ANY PART OF THE COVERED
 * WORK IN WHICH THE COPYRIGHT IS OWNED BY FUNAMBOL, FUNAMBOL DISCLAIMS THE 
 * WARRANTY OF NON INFRINGEMENT  OF THIRD PARTY RIGHTS.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU Affero General Public License 
 * along with this program; if not, see http://www.gnu.org/licenses or write to
 * the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA.
 * 
 * You can contact Funambol, Inc. headquarters at 643 Bair Island Road, Suite 
 * 305, Redwood City, CA 94063, USA, or at email address info@funambol.com.
 * 
 * The interactive user interfaces in modified source and object code versions
 * of this program must display Appropriate Legal Notices, as required under
 * Section 5 of the GNU Affero General Public License version 3.
 * 
 * In accordance with Section 7(b) of the GNU Affero General Public License
 * version 3, these Appropriate Legal Notices must retain the display of the
 * "Powered by Funambol" logo. If the display of the logo is not reasonably 
 * feasible for technical reasons, the Appropriate Legal Notices must display
 * the words "Powered by Funambol".
 */
package com.funambol.admin.util;

/**
 * Contains the constant values used
 *
 * @version $Id: Constants.java,v 1.15 2008-05-22 22:11:23 nichele Exp $
 */
public interface Constants {

    /**
     * Supported server versions. Update this constants at any realease
     */
    public static final String SUPPORTED_SERVER_VERSIONS = ",8.0,8.2,8.5,";

    /**
     * Images
     */
    public static final String MAIN_IMAGE = "images/splash_funambol.gif";
    
    public static final String LOGO_IMAGE = "images/icon_admin_128x128.png";

    /**
     * Icons
     */
    public static final String ICON_ACTION_CREATE_CONSOLE     = "images/server.gif";
    public static final String ICON_ACTION_LOGIN              = "images/login.gif";
    public static final String ICON_SYNC_ADMIN_CONSOLE_NODE   = "images/world.gif";
    public static final String ICON_SERVER_NODE               = "images/server.gif";
    public static final String ICON_ROLES_NODE                = "images/roles.gif";
    public static final String ICON_USERS_NODE                = "images/roles.gif";
    public static final String ICON_ROLE_NODE                 = "images/role.gif";
    public static final String ICON_DEVICE_NODE               = "images/device.gif";
    public static final String ICON_PRINCIPAL_NODE            = "images/principal.gif";
    public static final String ICON_MODULES_NODE              = "images/modules.gif";
    public static final String ICON_MODULE_NODE               = "images/module.gif";
    public static final String ICON_CONNECTOR_NODE            = "images/connector.gif";
    public static final String ICON_SYNCTYPE_NODE             = "images/synctype.gif";
    public static final String ICON_SYNCSOURCE_NODE           = "images/syncsource.gif";
    public static final String ICON_SYNCSOURCE_EXCEPTION_NODE = "images/syncsourceException.gif";
    public static final String ICON_SERVER_SETTINGS_NODE      = "images/serversettings.gif";
    public static final String ICON_LOGGING_SETTINGS_NODE     = "images/serversettings.gif";
    public static final String ICON_LOGGERS_SETTINGS_NODE     = "images/serversettings.gif";
    public static final String ICON_LOGGER_SETTINGS_NODE      = "images/loggingsettings.gif";
    public static final String ICON_APPENDERS_SETTINGS_NODE   = "images/serversettings.gif";
    public static final String ICON_APPENDER_SETTINGS_NODE    = "images/loggingsettings.gif";
    public static final String ICON_SHOW_OUTPUT_WINDOW        = "images/output.gif";

    /**
     * Modes name
     */
    public static final String MODE_NAME_EXPLORER = "explorer";
    public static final String MODE_NAME_SOURCE   = "editor";

    /** Root Node Name */
    public static final String NODE_NAME_ROOT     = "Funambol Administration Tool";

    /** Actions */
    public static final String ACTION_COMMAND_ADD_USER    = "ACTION_COMMAND_ADD_USER";
    public static final String ACTION_COMMAND_EDIT_USER   = "ACTION_COMMAND_EDIT_USER";
    public static final String ACTION_COMMAND_SEARCH_USER = "ACTION_COMMAND_SEARCH_USER";
    public static final String ACTION_COMMAND_DELETE_USER = "ACTION_COMMAND_DELETE_USER";
    public static final String ACTION_COMMAND_SAVE_USER   = "ACTION_COMMAND_SAVE_USER";

    public static final String ACTION_COMMAND_NEW_DEVICE    = "ACTION_COMMAND_NEW_DEVICE";
    public static final String ACTION_COMMAND_ADD_DEVICE    = "ACTION_COMMAND_ADD_DEVICE";
    public static final String ACTION_COMMAND_EDIT_DEVICE   = "ACTION_COMMAND_EDIT_DEVICE";
    public static final String ACTION_COMMAND_SEARCH_DEVICE = "ACTION_COMMAND_SEARCH_DEVICE";
    public static final String ACTION_COMMAND_DELETE_DEVICE = "ACTION_COMMAND_DELETE_DEVICE";
    public static final String ACTION_COMMAND_SAVE_DEVICE   = "ACTION_COMMAND_SAVE_DEVICE";
    public static final String ACTION_COMMAND_DEVICE_CAPS   = "ACTION_COMMAND_DEVICE_CAPS";


    public static final String ACTION_COMMAND_ADD_PRINCIPAL     = "ACTION_COMMAND_ADD_PRINCIPAL"    ;
    public static final String ACTION_COMMAND_SEARCH_PRINCIPAL  = "ACTION_COMMAND_SEARCH_PRINCIPAL" ;
    public static final String ACTION_COMMAND_DELETE_PRINCIPAL  = "ACTION_COMMAND_DELETE_PRINCIPAL" ;
    public static final String ACTION_COMMAND_SHOW_SYNC_DETAILS = "ACTION_COMMAND_SHOW_SYNC_DETAILS";
    public static final String ACTION_COMMAND_RESET_TIMESTAMP   = "ACTION_COMMAND_RESET_TIMESTAMP"  ;
    public static final String ACTION_COMMAND_REFRESH_TIMESTAMP = "ACTION_COMMAND_REFRESH_TIMESTAMP";

    public static final String DEFAULT_USER         = "admin"    ;
    public static final String DEFAULT_PASSWORD     = "sa"       ;
    public static final String DEFAULT_PORT         = "8080"     ;
    public static final String DEFAULT_PROXY_PORT   = "8888"     ;
    public static final String DEFAULT_CONTEXT_PATH = "/funambol";

    /**
     * Web services endpoint url
     */
    public static final String WS_ENDPOINT_URL = "services/admin";

    /**
     * RMI base url
     */
    public static final String RMI_BASE_URL = "rmicl/";

    public static int DEFAULT_MAX_RESULTS = 100;

    /**
     * Auto update
     */
    public static final String AUTO_UPDATE_TYPE_NAME    = "AUTO_UPDATE_TYPE_NAME";
    public static final String AUTO_UPDATE_ACTION_LABEL = "AUTO_UPDATE_ACTION_LABEL";

    /**
     * Identify into the model string the footprint of carrier edition ds-server
     */
    public static final String CARRIER_EDITION_MODEL_FOOTPRINT = "CarEd";

}
